## python-aalib 0.4

=== test/Makefile ===
# Copyright © 2021 Jakub Wilk <jwilk@jwilk.net>
# SPDX-License-Identifier: MIT

PYTHON = python

CFLAGS ?= -O2 -g
CFLAGS += -Wall

.PHONY: all
all: smoke-test

.PHONY: smoke-test
smoke-test:
	$(PYTHON) test.py

.PHONY: abi-test
abi-test: dump-abi
	./dump-abi > abi.c.txt
	$(PYTHON) dump-abi.py > abi.py.txt
	diff -U999 abi.c.txt abi.py.txt

.PHONY: clean
clean:
	rm -f dump-abi abi.*.txt

# vim:ts=4 sts=4 sw=4 noet

## python-aalib 0.1.1

=== debian/changelog ===
python-aalib (0.1.1-1) unstable; urgency=low

  * New upstream release.
  * Change XS-Python-Version to all
  * Install upstream changelog and example script.

 -- Stefano Rivera <stefano@rivera.za.net>  Mon, 25 Jan 2010 01:09:34 +0200

python-aalib (0.1-2) unstable; urgency=low

  * copyright: Package maintainer was incorrectly credited as being upstream
    author.

 -- Stefano Rivera <stefano@rivera.za.net>  Sat, 16 Jan 2010 20:12:23 +0200

python-aalib (0.1-1) unstable; urgency=low

  * Initial release (Closes: #564608)

 -- Stefano Rivera <stefano@rivera.za.net>  Mon, 11 Jan 2010 20:49:12 +0200

=== debian/control ===
Source: python-aalib
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Stefano Rivera <stefano@rivera.za.net>
Build-Depends: debhelper (>= 7), python-support (>= 0.8)
Standards-Version: 3.8.3
Homepage: http://jwilk.net/software/python-aalib.html
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-aalib/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-aalib/trunk/
XS-Python-Version: all

Package: python-aalib
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, libaa1
Description: Python interface to AAlib, an ASCII art library
 AAlib is a portable ASCII art graphics library. Internally, it works like a
 graphics display, but the output is rendered into ASCII text.
 .
 This package makes AAlib accessible in Python.

## python-aalib 0.2

=== debian/changelog ===
python-aalib (0.2-1) unstable; urgency=low

  [ Stefano Rivera ]
  * New Upstream Release
  * Bump Standards-Version to 3.9.1 (no changes needed).
  * Suggest python-imaging
  * Convert to dh_python2
  * Revert X-Python-Version to >=2.5
  * Wrap *Depends in debian/control.

  [ Jakub Wilk ]
  * Update my e-mail address in debian/copyright.

 -- Stefano Rivera <stefano@rivera.za.net>  Sun, 14 Nov 2010 17:48:02 +0200

=== debian/control ===
Source: python-aalib
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Stefano Rivera <stefano@rivera.za.net>
Build-Depends:
 debhelper (>= 7),
 python-all (>= 2.6.5-13~),
Standards-Version: 3.9.1
Homepage: http://jwilk.net/software/python-aalib.html
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-aalib/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-aalib/trunk/
X-Python-Version: >= 2.5

Package: python-aalib
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
 libaa1,
Breaks: ${python:Breaks}
Suggests: python-imaging
Description: Python interface to AAlib, an ASCII art library
 AAlib is a portable ASCII art graphics library. Internally, it works like a
 graphics display, but the output is rendered into ASCII text.
 .
 This package makes AAlib accessible in Python.

=== debian/watch ===
version=3

http://pypi.python.org/packages/source/p/python-aalib/python-aalib-(.*)\.tar.gz

## python-aalib 0.3

=== debian/changelog ===
python-aalib (0.3-2) unstable; urgency=low

  * Canonicalize homepage.
  * Switch watch file to use pypi.debian.net
  * Verify upstream PGP signature.
  * Update VCS URLs for DPMT git migration.
  * Bump Standards-Version, no changes needed.
  * Port to pybuild.
  * Bump debhelper compat level to 9.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 14 Feb 2016 21:19:10 -0500

python-aalib (0.3-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Stefano Rivera ]
  * New upstream version.
    - Includes Python 3 support.
  * Bump Standards-Version to 3.9.4
    - Bump debhelper Build-Dep to 8.1 for build-{arch,indep} support.
  * Bump debhelper compat level to 8.
  * Bump copyright years.
  * Bump machine-readable copyright format to 1.0.
  * Re-licence packaging to Expat.
  * Switch debian/watch URL to https.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 26 May 2013 18:55:51 +0200

python-aalib (0.2-3) unstable; urgency=low

  * Upload to unstable.
  * Update my e-mail address.
  * Update copyright format.
  * Drop Breaks: ${python:Breaks}, no longer used by dh_python2.
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Remove trailing commas from *Depends.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 17 Apr 2011 23:13:36 +0200

python-aalib (0.2-2) experimental; urgency=low

  * Upload to experimental to build for Python 2.7 (Closes: #604045)

 -- Stefano Rivera <stefano@rivera.za.net>  Sat, 20 Nov 2010 13:54:36 +0200

=== debian/control ===
Source: python-aalib
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all (>= 2.6.5-13~),
 python3-all
Standards-Version: 3.9.7
Homepage: https://jwilk.net/software/python-aalib
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-aalib.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-aalib.git
X-Python-Version: >= 2.5
X-Python3-Version: >= 3.0

Package: python-aalib
Architecture: all
Depends: libaa1, ${misc:Depends}, ${python:Depends}
Suggests: python-imaging
Description: Python interface to AAlib, an ASCII art library
 AAlib is a portable ASCII art graphics library. Internally, it works like a
 graphics display, but the output is rendered into ASCII text.
 .
 This package makes AAlib accessible in Python 2.

Package: python3-aalib
Architecture: all
Depends: libaa1, ${misc:Depends}, ${python3:Depends}
Suggests: python3-imaging
Description: Python 3 interface to AAlib, an ASCII art library
 AAlib is a portable ASCII art graphics library. Internally, it works like a
 graphics display, but the output is rendered into ASCII text.
 .
 This package makes AAlib accessible in Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=aalib

%:
	dh $@ --with python2,python3 --buildsystem pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/python-aalib/python-aalib-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-aalib 0.3.1

=== debian/changelog ===
python-aalib (0.3.1-1) unstable; urgency=medium

  * New upstream release.
    - Drops Python 2.5 support.
  * Bump copyright years.
  * Bump Standards-Version to 3.9.8, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 11 Jun 2016 23:16:01 +0200

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
  dh-python,
  python-all (>= 2.6.5-13~),
  python3-all
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://jwilk.net/software/python-aalib
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-aalib.git
 Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-aalib.git
-X-Python-Version: >= 2.5
-X-Python3-Version: >= 3.0
+X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.2
 
 Package: python-aalib
 Architecture: all

## python-aalib 0.3.2

=== debian/changelog ===
python-aalib (0.3.2-4) unstable; urgency=medium

  * Team upload.
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.
  * Bump debhelper compat level to 12.
  * Bump standards version to 4.4.0 (no changes).

 -- Ondřej Nový <onovy@debian.org>  Fri, 09 Aug 2019 23:21:33 +0200

python-aalib (0.3.2-3) unstable; urgency=medium

  * Use python{3,}-all in autopkgtests, to smooth transitions.
    Thanks Steve Langasek.  (Closes: #864694)

 -- Stefano Rivera <stefanor@debian.org>  Tue, 20 Feb 2018 10:58:03 -0800

python-aalib (0.3.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Stefano Rivera ]
  * Replace python{3,}-imaging suggests with python{3,}-pil. (Closes: #866464)
  * Bump copyright years.
  * Bump debhelper compat to 11.
  * Bump Standards-Version to 4.1.3, no changes needed.
  * Declare Rules-Requires-Root: no.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 20 Feb 2018 10:45:45 -0800

python-aalib (0.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Run test during build.
    - Build-Depend on PIL.
  * Add autopkgtest smoke tests.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 30 Jul 2016 21:36:57 -0400

=== debian/control ===
Source: python-aalib
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 libaa1,
 python3-all,
 python3-pil
Standards-Version: 4.4.0
Homepage: https://jwilk.net/software/python-aalib
Vcs-Git: https://salsa.debian.org/python-team/modules/python-aalib.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-aalib
Rules-Requires-Root: no

Package: python3-aalib
Architecture: all
Depends: libaa1, ${misc:Depends}, ${python3:Depends}
Suggests: python3-pil
Description: Python 3 interface to AAlib, an ASCII art library
 AAlib is a portable ASCII art graphics library. Internally, it works like a
 graphics display, but the output is rendered into ASCII text.
 .
 This package makes AAlib accessible in Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=aalib

%:
	dh $@ --with python3 --buildsystem pybuild

override_dh_auto_test:
	dh_auto_test -- \
		--system=custom \
		--test-args="{interpreter} {dir}/test/test.py"

=== debian/tests/control ===
Tests: smoketest3
Depends: python3-all, python3-aalib, python3-pil

## python-aalib 0.4

=== debian/changelog ===
python-aalib (0.4-4) unstable; urgency=medium

  * Build-Depend on python3-setuptools, now that distutils is retired.
  * Update standards version to 4.7.0, no changes needed.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 05 Sep 2024 11:58:12 +0200

python-aalib (0.4-3) unstable; urgency=medium

  * Bump debhelper from old 12 to 13.

 -- Debian Janitor <janitor@jelmer.uk>  Thu, 26 May 2022 20:07:38 +0100

python-aalib (0.4-2) unstable; urgency=medium

  * Run the ABI test as an autopkgtest. This is more useful than build-time,
    for an arch-all package.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 25 Feb 2021 15:36:36 -0800

python-aalib (0.4-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream release. (Closes: #982553)
  * Bump copyright years.
  * Add upstream metadata.
  * Bump Standards-Version to 4.5.1, no changes needed.
  * Run the new ABI-test.
    - B-D on libaa1-dev.
  * Install the changelog with dh_installchangelogs. There are no other docs
    to install.
  * Bump watch file to version 4.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 25 Feb 2021 14:01:48 -0800

=== debian/control ===
Source: python-aalib
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 libaa1-dev,
 python3-all,
 python3-pil,
 python3-setuptools
Standards-Version: 4.7.0
Homepage: https://jwilk.net/software/python-aalib
Vcs-Git: https://salsa.debian.org/python-team/packages/python-aalib.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-aalib
Rules-Requires-Root: no

Package: python3-aalib
Architecture: all
Depends: libaa1, ${misc:Depends}, ${python3:Depends}
Suggests: python3-pil
Description: Python 3 interface to AAlib, an ASCII art library
 AAlib is a portable ASCII art graphics library. Internally, it works like a
 graphics display, but the output is rendered into ASCII text.
 .
 This package makes AAlib accessible in Python 3.

=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,11 @@
 override_dh_auto_test:
 	dh_auto_test -- \
 		--system=custom \
-		--test-args="{interpreter} {dir}/test/test.py"
+		--test-args="make -C {dir}/test smoke-test abi-test PYTHON={interpreter}"
+
+override_dh_auto_clean:
+	$(MAKE) -C test clean
+	dh_auto_clean
+
+override_dh_installchangelogs:
+	dh_installchangelogs doc/changelog

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/python-aalib/python-aalib-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
